Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038655
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-05-30 10:262018-06-12 09:32
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionbff50e6e772b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038655: incorrect query in UserLock

DescriptionThe HQL query used to determine last success login for a given user has incorrect bracket balance.

Hibernate 3.6 allows it whereas it is not allowed in newer versions.
Steps To Reproduce1. Using Hibernate 5.3 activate user locking
2. Try to login with any user
  -> ERROR:It is not possible to log in
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038651 closedalostale problems in user locking implementation 
related to defect 0037112 closedalostale incorrect HQL to retrieve preferences 
blocks feature request 0037064 closedcaristu upgrade hibernate 

-  Notes
(0104803)
hgbot (developer)
2018-05-30 11:06

Repository: erp/devel/pi
Changeset: bff50e6e772b9e25cd58b6d44c06a7acc8d3e0a8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed May 30 11:06:06 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bff50e6e772b9e25cd58b6d44c06a7acc8d3e0a8 [^]

fixed bug 38655: incorrect query in UserLock

  The query had unbalanced parenthesis

---
M src/org/openbravo/base/secureApp/UserLock.java
---
(0104814)
hudsonbot (developer)
2018-05-30 17:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/10bad01a186a [^]
Maturity status: Test
(0104885)
caristu (developer)
2018-06-01 15:34

Code reviewed + tested OK.

- Issue History
Date Modified Username Field Change
2018-05-30 10:26 alostale New Issue
2018-05-30 10:26 alostale Assigned To => alostale
2018-05-30 10:26 alostale Modules => Core
2018-05-30 10:26 alostale Triggers an Emergency Pack => No
2018-05-30 10:26 alostale Review Assigned To => caristu
2018-05-30 10:27 alostale Relationship added related to 0038651
2018-05-30 10:28 alostale Relationship added related to 0037112
2018-05-30 10:28 alostale Relationship added blocks 0037064
2018-05-30 11:06 hgbot Checkin
2018-05-30 11:06 hgbot Note Added: 0104803
2018-05-30 11:06 hgbot Status new => resolved
2018-05-30 11:06 hgbot Resolution open => fixed
2018-05-30 11:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bff50e6e772b9e25cd58b6d44c06a7acc8d3e0a8 [^]
2018-05-30 17:11 hudsonbot Checkin
2018-05-30 17:11 hudsonbot Note Added: 0104814
2018-06-01 15:34 caristu Note Added: 0104885
2018-06-01 15:34 caristu Status resolved => closed
2018-06-01 15:34 caristu Fixed in Version => 3.0PR18Q3
2018-06-12 09:32 caristu Issue cloned 0038735


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker